package com.patzn.lims.equip.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.entity.LmsEquipFile;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-28
 */
public interface ILmsEquipFileService extends IBaseService<LmsEquipFile> {

    Page<LmsEquipFile> page(Page<LmsEquipFile> page, LmsEquipFile lmsEquipFile);


    List<LmsEquipFile> list(LmsEquipFile lmsEquipFile);


    LmsEquipFile saveAndUpload(MultipartFile file, String bucketName, String foldPath, Long relId, Integer type);


    boolean deleteBatch(Long[] ids);



    void downloadFile(HttpServletResponse servletResponse, String bucket, String fileName, String orgFileName);



    LmsEquipFile addAndUpload(MultipartFile file, String bucketName, String foldPath, Long relId, Integer type);

    void downloadEveFile(HttpServletResponse servletResponse, Long relid);
}
